<template>
  <div class="cardlist1" @click="onclick()" :class="cardlist1.type">
    <p class="title">{{cardlist1.title}}</p>
    <div class="text" v-for="(item,index) in cardlist1.list" :key="item.name" >
      <p class="left">{{item.title}}:</p>
      <p>{{item.text}}</p>
    </div>
  </div>
</template>

<script type="text/ecmascript-6">
   /*
   *  type 为不同背景图案
   *
   *
   * */

   export default {
     data(){
       return{}
     },
     props:{
       cardlist1:{
         default(){
           return{
             title:'这是标题',
             type: 'type1',
             list:[
               {
                 title : '标题2',
                 text : '这是文本'
               },
               {
                 title : '标题2',
                 text : '这是文本'
               },
               {
                 title : '标题2',
                 text : '这是文本'
               }
             ]
           }
         }
       }
     },
     methods:{
       onclick(){
//         this.emit('cardlist1emit');
       }
     }
   }
</script>

<!-- Add "scoped" attribute to limit CSS to this component only -->
<style lang="scss" type="text/scss" scoped>
  .cardlist1{
    padding: 0.26rem 0.35rem 0.18rem;
    box-sizing: border-box;
    border-radius: 0.1rem;
    .title{
      color: #C98E52;
      font-size: 0.32rem;
      margin-bottom: 0.2rem;
    }
    .text{
      display: flex;
      color: #999;
      font-size: 0.26rem;
      padding-bottom: 0.2rem;
      .left{
        min-width: 1.34rem;
        margin-right: 0.25rem;
      }
    }
  }
  .type1{
    background:url("https://pic.8848phone.com/custom/8848/image/ic-cardbackground-list.png") #212121;
    background-size: 1.5rem;
    background-repeat: no-repeat;
    background-position:right bottom;
  }
</style>
